P1050345 RV 06_09.JPG=Roadtrek at Taughannock Falls State Park\

P1050596 RV 06_09.JPG=Roadtrek on Main Street Seneca Falls, NY
P1050352 RV 06_09.JPG=Roadtrek at Taughannock Falls State Park
P1040926_Kring_0906.JPG=Roadtrek Interior at Kring Point
P1040928_Kring_0906.JPG=Roadtrek Interior at Kring Point
